Redmine - Defect #17113

Parent task invalid although type ahead shows ticket
2014-06-05 16:58 - h z

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 251

Description
I'm testing Redmine 2.5.1 as we want to upgrade from our 0.9x-Version.

Among other great improvements the Parent task feature is very valuable for us.

However, there is a (usability) issue with it.
Here's the scenario:

1. I'm member of two different Redmine projects
2. | create an issue in project 2
3. When | begin typing in the parent task field (e. g. "myiss") and my input matches the text of a ticket title in project 1 ("myissue”)
the type-ahead feature proposes this ticket.
parent_task_type_ ahead.png
4. When | select it and try to save the ticket, | get a validation message "parent task is invalid".
parent_task_validation.png
This is possibly caused as the two project are completely separate and not part of a common project hierarchy.

| don't know if this is a bug or intended behaviour...

Possible Change of behaviour
e only show valid tickets in the "Parent task" input field
or

¢ allow to add parents across projects

History

#1 - 2014-06-05 17:07 - Toshi MARUYAMA
- File setting.png added

h z wrote:

e allow to add parents across projects

You can change setting.

2025-05-07 1/3




setting.png

#2 - 2014-06-06 17:10-h z

- Status changed from New to Resolved

Thanks!

| was not aware of the setting.

#3 - 2014-06-07 10:16 - Toshi MARUYAMA
- Status changed from Resolved to Closed

Thank you for your feedback.
